/** @format */

import request from "@/utils/request";

// 查询材料配置列表
export function listConifg(query) {
  return request({
    url: "/materials/conifg/list",
    method: "get",
    params: query,
  });
}

// 查询材料配置详细
export function getConifg(id) {
  return request({
    url: "/materials/conifg/" + id,
    method: "get",
  });
}

// 新增材料配置
export function addConifg(data) {
  return request({
    url: "/materials/conifg",
    method: "post",
    data: data,
  });
}

// 修改材料配置
export function updateConifg(data) {
  return request({
    url: "/materials/conifg",
    method: "put",
    data: data,
  });
}

// 删除材料配置
export function delConifg(id) {
  return request({
    url: "/materials/conifg/" + id,
    method: "delete",
  });
}
